/* box sizing */
html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

/* css variables */
:root {
	--color-white: white;
	--color-white1: whitesmoke;
	--color-black: black;
	--color-blue: blue;
	--color-blue1: aliceblue;
	--color-blue2: navy;
	--color-blue3: darkblue;
	--color-blue4: skyblue;
	--color-turquoise: lightblue;
	--color-gray1: lightgray;
	--color-gray2: gray;
	--color-cyan: cyan;
	--color-orchid: blue;
	--color-orchid1: blue;
	--color-green: green;
	--color-yellow: darkgoldenrod;
	--color-yellow1: gold;
	--color-orange: orange;
	--color-beige: lightgray;
	--color-grayTransparent: #3c3c3c3c;
	--color-lavender: lavender;
	--box-shadow: 0px -1px 2px;
	--border-radius: 0.2rem;
}

@media print {
	.App {
		min-height: auto;
	}
}
.App {
	/* to v-center its children visually */
	min-height: 100vh;
}

.Section {
	padding-bottom: 2rem;
	/* avoid that if in a flex container, it collapes */
	width: 100%;
}
.Container {
	padding-left: 1rem;
	padding-right: 1rem;
}

.App {
	display: flex;
	flex-direction: column;
  margin-left: auto;
  margin-right: auto;
}
.App-main {
	/* to v-center its children */
	display: flex;
	flex-grow: 1;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
@media print {
	.App-main {
		flex-grow: 0;
	}
}
.App-aside {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	position: fixed;
	z-index: 2;
	bottom: 0;
	right: 0;
}
.App-aside .Nav {
	background-color: var(--color-white);
	/* box-shadow: var(--box-shadow) var(--color-grayTransparent); */
	/* border: 1px solid var(--color-blue); */
}
@media (min-width: 20rem) {
	.App-aside {
		left: 0;
	}
}
@media (min-width: 40rem) {
	.App-aside {
		justify-content: center;
	}
}
@media print {
	.App-aside {
		display: none;
	}
}

.App-grow {
	flex-grow: 1;
}
@media print {
	.App-grow {
		flex-grow: 0;
	}
}

.App-action.Button {
	position: fixed;
	z-index: 4;
	top: 50%;
	right: 0.7rem;
	font-size: 1.7rem;
	font-weight: bold;
	box-shadow: var(--box-shadow) var(--color-grayTransparent);
	color: var(--color-white);
}

a.Logo {
	background-color: transparent;
}
.Logo {
	z-index: 4;
}
.Logo-img {
	width: 100%;
	max-width: 3rem;
}

.Screen,
.Note {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	max-width: 45rem;
	margin-left: auto;
	margin-right: auto;
}

.Login,
.Info {
	padding: 1.5rem;
}
.Login {
	border: 0.1rem solid var(--color-gray1);
}

.Note {
	padding: 1.5rem;
}
.Note input {
	width: 100%;
}
.Note > * {
	flex-grow: 2;
}
.Note > *:last-child {
	padding-bottom: 0;
}

.SitePreview {
	width: 100%;
	border: 3px solid turquoise;
	border-radius: var(--border-radius);
	min-height: 50vh;
}

.Page {
	max-width: none;
	width: 100%;
	padding-top: 1.5rem;
	padding-bottom: 15vh;
	padding-left: 1rem;
	padding-right: 1rem;
}
@media (min-width: 50rem) {
	.Page {
		max-width: 80vw;
	}
}
@media (min-width: 80rem) {
	.Page {
		max-width: 65vw;
	}
}
